---
title: SVGComponentTransferFunctionElement
slug: Web/API/SVGComponentTransferFunctionElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGComponentTransferFunctionElement</code></strong> interface defines a base interface used by the component transfer function interfaces.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Constants">Constants</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Name</th>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code>SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN</code></td>
   <td>0</td>
   <td>The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.</td>
  </tr>
  <tr>
   <td><code>SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY</code></td>
   <td>1</td>
   <td>Corresponds to the value <code>identity</code>.</td>
  </tr>
  <tr>
   <td><code>SVG_FECOMPONENTTRANSFER_TYPE_TABLE</code></td>
   <td>2</td>
   <td>Corresponds to the value <code>table</code>.</td>
  </tr>
  <tr>
   <td><code>SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE</code></td>
   <td>3</td>
   <td>Corresponds to the value <code>discrete</code>.</td>
  </tr>
  <tr>
   <td><code>SVG_FECOMPONENTTRANSFER_TYPE_LINEAR</code></td>
   <td>4</td>
   <td>Corresponds to the value <code>linear</code>.</td>
  </tr>
  <tr>
   <td><code>SVG_FECOMPONENTTRANSFER_TYPE_GAMMA</code></td>
   <td>5</td>
   <td>Corresponds to the value <code>gamma</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGElement")}}.</em></p>

<dl>
 <dt>{{domxref("SVGComponentTransferFunctionElement.type")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedEnumeration")}} corresponding to the {{SVGAttr("type")}} attribute of the given element. It takes one of the <code>SVG_FECOMPONENTTRANSFER_TYPE_*</code> constants defined on this interface.</dd>
 <dt>{{domxref("SVGComponentTransferFunctionElement.tableValues")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumberList")}} corresponding to the {{SVGAttr("tableValues")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGComponentTransferFunctionElement.slope")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("slope")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGComponentTransferFunctionElement.intercept")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("intercept")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGComponentTransferFunctionElement.amplitude")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("amplitude")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGComponentTransferFunctionElement.exponent")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("exponent")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGComponentTransferFunctionElement.offset")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("offset")}} attribute of the given element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface does not provide any specific methods, but implements those of its parent, {{domxref("SVGElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Filters 1.0", "#InterfaceSVGComponentTransferFunctionElement", "SVGComponentTransferFunctionElement")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#InterfaceSVGComponentTransferFunctionElement", "SVGComponentTransferFunctionElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGComponentTransferFunctionElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("SVGFEFuncAElement")}}</li>
 <li>{{domxref("SVGFEFuncBElement")}}</li>
 <li>{{domxref("SVGFEFuncGElement")}}</li>
 <li>{{domxref("SVGFEFuncRElement")}}</li>
</ul>
